# Generated by Django 4.2.7 on 2023-11-06 04:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Departamento',
            fields=[
                ('Codigo', models.CharField(max_length=4, primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=80, unique=True)),
                ('Descripcion', models.CharField(max_length=80)),
                ('FechaCreacion', models.DateField(auto_now_add=True)),
                ('NumeroExtension', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Materiales',
            fields=[
                ('Codigo', models.CharField(max_length=4, primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=80, unique=True)),
                ('Descripcion', models.CharField(max_length=80)),
            ],
        ),
        migrations.CreateModel(
            name='Puesto',
            fields=[
                ('Codigo', models.CharField(max_length=4, primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=80, unique=True)),
                ('Descripcion', models.CharField(blank=True, max_length=80, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PuestoDepto',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Departamento', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Core.departamento')),
                ('Puesto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Core.puesto')),
            ],
        ),
    ]
